<?php

namespace Chat\View;

/**
 * Returns a JSON object with all previously unread entries.
 */
class GetNewEntries extends \Chat\View\AbstractExecutor {

    private $last_read_time;

    /**
     * @param int $last_read_time The timestamp of the last read entry.
     */
    public function setLastReadTime($last_read_time) {
        $this->last_read_time = $last_read_time;
    }

    /**
     * Returns a JSON object with all previously unread entries.
     */
    protected function doExecute() {
        $conversation = $this->controller->getNewerEntries($this->last_read_time);
        $this->returnJSON($conversation);
    }

}
