<?php

namespace Chat\View;

/**
 * Invoked when the user has submitted a new Message.
 */
class NewMessage extends \Chat\View\AbstractExecutor {

    private $author;
    private $msg;

    /**
     * @param string $author The nick name of the person who wrote the message.
     */
    public function setAuthor($author) {
        $this->author = $author;
    }

    /**
     * @param string $msg The new Message.
     */
    public function setMessage($msg) {
        $this->msg = $msg;
    }

    /**
     * Appends the newly created message to the conversation.
     */
    protected function doExecute() {
        $entry = new \Chat\Model\Entry($this->author, $this->msg);
        $this->controller->addEntry($entry);
        $conversation = $this->controller->getConversation();
    }

}
