<?php

require 'flight/Flight.php';

if (session_id() === '') {
    \session_start();
}

\Flight::path('classes');

\Flight::map('executeAction',
             function($executor, $params = NULL) {
    $executor->execute($params);
});


\Flight::route('/new-msg/@author/@message',
               function($author, $message) {
    $params = array(author => $author, message => $message);
    \Flight::executeAction(new \Chat\View\NewMessage('\Chat\Controller\Controller'), $params);
});

\Flight::route('/get-new-entries/@last_read_time',
               function($last_read_time) {
    $params = array(lastReadTime => $last_read_time);
    \Flight::executeAction(new \Chat\View\GetNewEntries('\Chat\Controller\Controller'), $params);
});

\Flight::route('/',
               function() {
    \Flight::executeAction(new \Chat\View\ShowConversation('\Chat\Controller\Controller'));
});

\Flight::route('*', function() {
    \Flight::notFound();
});

\Flight::start();
