$(document).ready(function () {

    var baseUrl = new String(location.href).replace("index.php", "");
    var writeUrl = baseUrl + "new-msg";
    var readUrl = baseUrl + "get-new-entries";

    function Entry() {
        var self = this;

        self.author = ko.observable("");
        self.msg = ko.observable("");

        self.sendEntry = function () {
            if (self.msg() !== "" && self.author() !== "") {
                $.post(writeUrl + "/" + self.author() + "/" + self.msg());
                self.msg("");
            }
        };
    }

    function Conversation() {
        var self = this;
        self.timestamp = 0;
        self.entries = ko.observableArray();

        self.getNewEntries = function () {
            $.getJSON(readUrl + "/" + self.timestamp, function (entries) {
                for (i = 0; i < entries.length; i++) {
                    var entry = entries[i];
                    if (entry.timestamp > self.timestamp) {
                        self.timestamp = entry.timestamp;
                    }
                    self.entries.unshift(entry);
                }
                console.log(self.entries());
            });
        };
    }

    var conversation = new Conversation();
    ko.applyBindings(new Entry(), document.getElementById('new-entry'));
    ko.applyBindings(conversation, document.getElementById('conversation'));

    //Load the conversation when the site is first accessed.
    conversation.getNewEntries();
});

